Information Disclosure Affecting org.elasticsearch:elasticsearch package, versions [,6.8.14) [7.0.0-alpha1,7.10.0)


0.0
low
  • Attack Complexity

    High

  • Privileges Required

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGELASTICSEARCH-1071900

  • published

    11 Feb 2021

  • disclosed

    11 Feb 2021

  • credit

    Unknown

How to fix?

Upgrade org.elasticsearch:elasticsearch to version 6.8.14, 7.10.0 or higher.

Overview

org.elasticsearch:elasticsearch is a Distributed, RESTful Search Engine.

Affected versions of this package are vulnerable to Information Disclosure. There is an information disclosure issue when audit logging and the emit_request_body option is enabled. The Elasticsearch audit log could contain sensitive information such as password hashes or authentication tokens. This could allow an Elasticsearch administrator to view these details.